Create a DataSet
curl --request POST \
--url https://api.domo.com/v1/datasets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Leonhard Euler Party",
"description": "Mathematician Guest List",
"rows": 0,
"schema": {
"columns": [
{
"type": "STRING",
"name": "Friend"
},
{
"type": "STRING",
"name": "Attending"
}
]
}
}
'import requests
url = "https://api.domo.com/v1/datasets"
payload = {
"name": "Leonhard Euler Party",
"description": "Mathematician Guest List",
"rows": 0,
"schema": { "columns": [
{
"type": "STRING",
"name": "Friend"
},
{
"type": "STRING",
"name": "Attending"
}
] }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Leonhard Euler Party',
description: 'Mathematician Guest List',
rows: 0,
schema: {
columns: [{type: 'STRING', name: 'Friend'}, {type: 'STRING', name: 'Attending'}]
}
})
};
fetch('https://api.domo.com/v1/datasets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "4405ff58-1957-45f0-82bd-914d989a3ea3",
"name": "Leonhard Euler Party",
"description": "Mathematician Guest List",
"rows": 0,
"columns": 0,
"schema": {
"columns": [
{
"type": "STRING",
"name": "Friend"
},
{
"type": "STRING",
"name": "Attending"
}
]
},
"owner": {
"id": 27,
"name": "DomoSupport"
},
"createdAt": "2016-06-21T17:20:36Z",
"updatedAt": "2016-06-21T17:20:36Z"
}DataSet API
Create a DataSet
Creates a new DataSet in your Domo instance. Once a DataSet has been created, data can be imported into the DataSet.
POST
/
v1
/
datasets
Create a DataSet
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
201 - application/json
Returns a DataSet object when successful. The returned object will have DataSet attributes based on the information provided when the DataSet was created.
⌘I